searchNodes=[{"doc":"Encodes data into YAML documents using the Ymlr.Encoder . Every document starts with a separator (&quot;---&quot;) and can be enhanced with comments.","ref":"Ymlr.html","title":"Ymlr","type":"module"},{"doc":"Encodes a given data as YAML document with a separator (&quot;---&quot;) at the beginning. Raises if it cannot be encoded. Optinally you can pass a tuple with comment(s) and data as first argument. Examples iex&gt; Ymlr . document! ( %{ a : 1 } ) &quot;--- \\n a: 1 \\n &quot; iex&gt; Ymlr . document! ( { &quot;comment&quot; , %{ a : 1 } } ) &quot;--- \\n # comment \\n a: 1 \\n &quot; iex&gt; Ymlr . document! ( { [ &quot;comment 1&quot; , &quot;comment 2&quot; ] , %{ a : 1 } } ) &quot;--- \\n # comment 1 \\n # comment 2 \\n a: 1 \\n &quot; iex&gt; Ymlr . document! ( { [ ] , { &quot;a&quot; , &quot;b&quot; } } ) ** (ArgumentError) The given data {&quot;a&quot;, &quot;b&quot;} cannot be converted to YAML.","ref":"Ymlr.html#document!/1","title":"Ymlr.document!/1","type":"function"},{"doc":"Encodes a given data as YAML document with a separator (&quot;---&quot;) at the beginning. Optinally you can pass a tuple with comment(s) and data as first argument. Examples iex&gt; Ymlr . document ( %{ a : 1 } ) { :ok , &quot;--- \\n a: 1 \\n &quot; } iex&gt; Ymlr . document ( { &quot;comment&quot; , %{ a : 1 } } ) { :ok , &quot;--- \\n # comment \\n a: 1 \\n &quot; } iex&gt; Ymlr . document ( { [ &quot;comment 1&quot; , &quot;comment 2&quot; ] , %{ a : 1 } } ) { :ok , &quot;--- \\n # comment 1 \\n # comment 2 \\n a: 1 \\n &quot; } iex&gt; Ymlr . document ( { [ ] , { &quot;a&quot; , &quot;b&quot; } } ) { :error , &quot;The given data { \\&quot; a \\&quot; , \\&quot; b \\&quot; } cannot be converted to YAML.&quot; }","ref":"Ymlr.html#document/1","title":"Ymlr.document/1","type":"function"},{"doc":"Encodes a given list of data as &quot;---&quot; separated YAML documents. Raises if it cannot be encoded. Examples iex&gt; Ymlr . documents! ( [ %{ a : 1 } ] ) &quot;--- \\n a: 1 \\n &quot; iex&gt; Ymlr . documents! ( [ %{ a : 1 } , %{ b : 2 } ] ) &quot;--- \\n a: 1 \\n \\n --- \\n b: 2 \\n &quot; iex&gt; Ymlr . documents! ( [ { [ ] , { &quot;a&quot; , &quot;b&quot; } } ] ) ** (ArgumentError) The given data {&quot;a&quot;, &quot;b&quot;} cannot be converted to YAML. iex&gt; Ymlr . documents! ( %{ a : &quot;a&quot; } ) ** (ArgumentError) The given argument is not a list of documents. Use document/1, document/2, document!/1 or document!/2 for a single document.","ref":"Ymlr.html#documents!/1","title":"Ymlr.documents!/1","type":"function"},{"doc":"Encodes a given list of data as &quot;---&quot; separated YAML documents. Examples iex&gt; Ymlr . documents ( [ %{ a : 1 } ] ) { :ok , &quot;--- \\n a: 1 \\n &quot; } iex&gt; Ymlr . documents ( [ %{ a : 1 } , %{ b : 2 } ] ) { :ok , &quot;--- \\n a: 1 \\n \\n --- \\n b: 2 \\n &quot; } iex&gt; Ymlr . documents ( [ { [ ] , { &quot;a&quot; , &quot;b&quot; } } ] ) { :error , &quot;The given data { \\&quot; a \\&quot; , \\&quot; b \\&quot; } cannot be converted to YAML.&quot; } iex&gt; Ymlr . documents ( %{ a : &quot;a&quot; } ) { :error , &quot;The given argument is not a list of documents. Use document/1, document/2, document!/1 or document!/2 for a single document.&quot; }","ref":"Ymlr.html#documents/1","title":"Ymlr.documents/1","type":"function"},{"doc":"","ref":"Ymlr.html#t:document/0","title":"Ymlr.document/0","type":"type"},{"doc":"Encodes data into YAML strings.","ref":"Ymlr.Encoder.html","title":"Ymlr.Encoder","type":"module"},{"doc":"Encodes the given data as YAML string. Raises if it cannot be encoded. Examples iex&gt; Ymlr.Encoder . to_s! ( %{ } ) &quot;{}&quot; iex&gt; Ymlr.Encoder . to_s! ( %{ a : 1 , b : 2 } ) &quot;a: 1 \\n b: 2&quot; iex&gt; Ymlr.Encoder . to_s! ( %{ &quot;a&quot; =&gt; &quot;a&quot; , &quot;b&quot; =&gt; :b , &quot;c&quot; =&gt; &quot;true&quot; , &quot;d&quot; =&gt; &quot;100&quot; } ) &quot;a: a \\n b: b \\n c: &#39;true&#39; \\n d: &#39;100&#39;&quot; iex&gt; Ymlr.Encoder . to_s! ( { &quot;a&quot; , &quot;b&quot; } ) ** (ArgumentError) The given data {&quot;a&quot;, &quot;b&quot;} cannot be converted to YAML.","ref":"Ymlr.Encoder.html#to_s!/1","title":"Ymlr.Encoder.to_s!/1","type":"function"},{"doc":"Encodes the given data as YAML string. Examples iex&gt; Ymlr.Encoder . to_s ( %{ a : 1 , b : 2 } ) { :ok , &quot;a: 1 \\n b: 2&quot; } iex&gt; Ymlr.Encoder . to_s ( { &quot;a&quot; , &quot;b&quot; } ) { :error , &quot;The given data { \\&quot; a \\&quot; , \\&quot; b \\&quot; } cannot be converted to YAML.&quot; }","ref":"Ymlr.Encoder.html#to_s/1","title":"Ymlr.Encoder.to_s/1","type":"function"},{"doc":"","ref":"Ymlr.Encoder.html#t:data/0","title":"Ymlr.Encoder.data/0","type":"type"},{"doc":"ymlr - A YAML encoder for Elixir.","ref":"readme.html","title":"ymlr - A YAML Encoder for Elixir","type":"extras"},{"doc":"The package can be installed by adding ymlr to your list of dependencies in mix.exs : def deps do [ { :ymlr , &quot;~&gt; 2.0&quot; } ] end","ref":"readme.html#installation","title":"ymlr - A YAML Encoder for Elixir - Installation","type":"extras"},{"doc":"Version 2.0 does not support Elixir 1.10 anymore. However, for now all functionality is backported to version 1.x. Ymlr Version Supported Elixir Version ~&gt; 2.0 ~&gt; 1.11 ~&gt; 1.0 ~&gt; 1.10","ref":"readme.html#versions-and-support","title":"ymlr - A YAML Encoder for Elixir - Versions and Support","type":"extras"},{"doc":"Encode a single document - optionally with comments: iex&gt; Ymlr . document! ( %{ a : 1 } ) &quot;&quot;&quot; --- a: 1 &quot;&quot;&quot; iex&gt; Ymlr . document! ( { &quot;comment&quot; , %{ a : 1 } } ) &quot;&quot;&quot; --- # comment a: 1 &quot;&quot;&quot; iex&gt; Ymlr . document! ( { [ &quot;comment 1&quot; , &quot;comment 2&quot; ] , %{ &quot;a&quot; =&gt; &quot;a&quot; , &quot;b&quot; =&gt; :b , &quot;c&quot; =&gt; &quot;true&quot; , &quot;d&quot; =&gt; &quot;100&quot; } } ) &quot;&quot;&quot; --- # comment 1 # comment 2 a: a b: b c: &#39;true&#39; d: &#39;100&#39; &quot;&quot;&quot; Encode a multiple documents iex&gt; Ymlr . documents! ( [ %{ a : 1 } , %{ b : 2 } ] ) &quot;&quot;&quot; --- a: 1 --- b: 2 &quot;&quot;&quot;","ref":"readme.html#examples","title":"ymlr - A YAML Encoder for Elixir - Examples","type":"extras"},{"doc":"All notable changes to this project will be documented in this file. The format is based on Keep a Changelog .","ref":"changelog.html","title":"Changelog","type":"extras"},{"doc":"Changed use Enum.map_join/3 indead of Enum.map/2 and Enum.join/2 as it's more efficient according to credo recommendations","ref":"changelog.html#unreleased","title":"Changelog - Unreleased","type":"extras"},{"doc":"Removed 2.0 and upwards don't support Elixir 1.10 anymore. Use version 1.x for Elixir 1.10 support. Added Date and DateTime support (#17) Chores yaml_elixir upgraded to 2.6.0 excoveralls upgraded to 0.14.0 ex_doc upgraded to 0.24.1 credo upgraded to 1.5.5 dialyxir upgraded to 1.1.0","ref":"changelog.html#2-0-0-2021-04-02","title":"Changelog - [2.0.0] - 2021-04-02","type":"extras"},{"doc":"Added Date and DateTime support (#17) Chores yaml_elixir upgraded to 2.6.0 excoveralls upgraded to 0.14.0 ex_doc upgraded to 0.24.1 credo upgraded to 1.5.5 dialyxir upgraded to 1.1.0","ref":"changelog.html#1-1-0-2021-04-02","title":"Changelog - [1.1.0] - 2021-04-02","type":"extras"},{"doc":"Changed Rescue ArgumentError exception for oversize floats according to Float.parse/1 doc","ref":"changelog.html#1-0-1-2020-09-22","title":"Changelog - [1.0.1] - 2020-09-22","type":"extras"},{"doc":"No changes in this release. We have tested the library on a big bunch of CRDs and feel confident to publish a sable relese.","ref":"changelog.html#1-0-0-2020-08-21","title":"Changelog - [1.0.0] - 2020-08-21","type":"extras"},{"doc":"First ymlr beta release","ref":"changelog.html#0-0-1-2020-07-31","title":"Changelog - [0.0.1] - 2020-07-31","type":"extras"}]